--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Abstract class to read rows from a query result
constants: []

full_name: DataObjects::Reader
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: field_count
- !ruby/object:RI::MethodSummary 
  name: fields
- !ruby/object:RI::MethodSummary 
  name: next!
- !ruby/object:RI::MethodSummary 
  name: values
name: Reader
superclass: Object
